#include "NumberUI.h"

NumberUI::NumberUI(void)
{
	spr.readPNG("grp/pop_font.png");
	spr.setSpriteArea(0, 0, 28, 36);
	num = 0;
	showMode = 0;
	spr.getMaterial()->setAlpha(0.0);
}

NumberUI::~NumberUI(void)
{
}

void NumberUI::update(void)
{
	//++num;
	//spr.getMaterial()->setAlpha(fabs(cos((double)num*0.05)));
	if(showMode == 1) {
		double nowAlpha = spr.getMaterial()->getAlpha();
		nowAlpha += 0.1;
		if(nowAlpha > 1.0) {
			nowAlpha = 1.0;
			showMode = 0;
		}
		spr.setScale(0.8+0.2*nowAlpha);
		spr.glMoveTo(spr.getPosition()*0.8 + 
						fk_Vector(0.0, 0.0, 0.0)*0.2);
		spr.getMaterial()->setAlpha(nowAlpha);
	} else if(showMode == 2) {
		double nowAlpha = spr.getMaterial()->getAlpha();
		nowAlpha -= 0.1;
		if(nowAlpha < 0.0) {
			nowAlpha = 0.0;
			showMode = 0;
		}
		spr.setScale(max(0.8, 0.8+0.2*nowAlpha));
		spr.glMoveTo(spr.getPosition()*0.8 + 
						fk_Vector(0.0, 50.0, 0.0)*0.2);
		spr.getMaterial()->setAlpha(nowAlpha);
	}

	return;
}

void NumberUI::fadeIn(void)
{
	showMode = 1;
	spr.glMoveTo(0.0, -50.0, 0.0);
	spr.getMaterial()->setAlpha(0.0);
}

void NumberUI::fadeOut(void)
{
	showMode = 2;
	spr.glMoveTo(0.0, 0.0, 0.0);
	spr.getMaterial()->setAlpha(1.0);
}

void NumberUI::entry(fkut_SimpleWindow &argWin)
{
	argWin.entry(spr);
}

void NumberUI::remove(fkut_SimpleWindow &argWin)
{
	argWin.remove(spr);
}
